## xpenguins applet-0.9beta1

=== Makefile ===
CC = gcc
RPM_OPT_FLAGS =
CFLAGS = -Wall $(RPM_OPT_FLAGS) 

VERSION = 0.9beta1
PACKAGE = xpenguins_applet
PROGRAM = $(PACKAGE)

ROOT = /usr
OBJS = xpenguins_applet.o properties.o toon.o xpenguins.o
PREFIX = /usr
ETC = /etc

GTKLIBS = -L$(ROOT)/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib \
   -ldl -lXext -lX11 -lXpm -lm -lgnome -lgnomeui -lpanel_applet \
   -lart_lgpl -lgnorba -lgnomesupport
GTKCFLAGS = -I$(ROOT)/X11R6/include -I$(ROOT)/lib/glib/include \
   -I$(ROOT)/lib/gnome-libs/include -I$(ROOT)/include/customs


$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(GTKLIBS) -o $(PROGRAM)

install: $(PROGRAM)
	install -d $(PREFIX)/bin
	install -s -m 755 xpenguins_applet $(PREFIX)/bin/xpenguins_applet
	install -d $(PREFIX)/share/applets/Amusements
	install -m 644 xpenguins_applet.desktop $(PREFIX)/share/applets/Amusements/xpenguins_applet.desktop
	install -d $(PREFIX)/share/pixmaps
	install -m 644 gnome-xpenguins.png $(PREFIX)/share/pixmaps/gnome-xpenguins.png
	install -d $(ETC)/CORBA/servers
	install -m 644 xpenguins_applet.gnorba $(ETC)/CORBA/servers/xpenguins_applet.gnorba

%.o: %.c
	$(CC) $(CFLAGS) -c $< $(GTKCFLAGS) -DPACKAGE="\"$(PACKAGE)\"" -DVERSION="\"$(VERSION)\""

clean:
	-rm -f $(OBJS) $(PROGRAM)

toon.o xpenguins.o: toon.h
xpenguins.o xpenguins_applet.o: xpenguins.h
xpenguins_applet.o properties.o: xpenguins_applet.h
xpenguins.o: penguins/def.h penguins/*.xpm
xpenguins_applet.o: buttons/*.xpm

## xpenguins 2.2

=== debian/changelog ===
xpenguins (2.2-11) unstable; urgency=medium

  * Team upload.
  * Move package to pkg-games team Git
  * cme fix dpkg-control
  * Drop explicit mentioning of quilt
  * debhelper 11
  * Simplify packaging
  * Add DEP3 headers
  * Spelling fixes
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2018 15:04:09 +0100

xpenguins (2.2-10) unstable; urgency=low

  * New Maintainer. (Closes: #726555)
  * Bump Standards Version to 3.9.5.0 (no changes required).
  * Add missing debian/source/format (source format 3.0).

 -- Micheal Waltz <ecliptik@gmail.com>  Thu, 06 Feb 2014 22:04:28 -0800

xpenguins (2.2-9) unstable; urgency=low

  * Orphaning package.
  * Bump standards to 3.9.4 (no changes required).
  * Bump debian/compat to 9 to gain support for hardening build flags.
    Also adapt debhelper build depends.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 29 Oct 2013 23:16:19 +0100

xpenguins (2.2-8) unstable; urgency=medium

  * Move to quilt as patch manager.
  * Add patches/format_string_fix.diff; fixes "format not a string literal and
    no format arguments" error. (Closes: #646491)
  * Urgency set to medium, as the above is release critical.
  * Add Vcs-* headers to debian/control.
  * Converting rules to minimal dh syntax.
  * Bump standards to 3.9.2 (no changes needed).
  * Add lintian override for "package-section-games-but-contains-no-game".

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 24 Oct 2011 18:09:23 +0200

xpenguins (2.2-7) unstable; urgency=low

  * Update Name in debian/control.
  * Move Homepage entry from description to real header.
  * Adjust build depends from x-dev to x11proto-core-dev. (Closes: #515426)
  * Add ${misc:Depends} to debian/control.
  * Use newer debhelper.
  * Bump standards version (add README.source).
  * Improve debian/copyright.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 30 Aug 2009 19:19:39 +0200

xpenguins (2.2-6) unstable; urgency=low

  * revoking the changes for debhelper 5, so the
    package may be shipped with etch
    - build-depend on debhelper >= 4.1.0
    - debian/compat set to 4

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 12 Jan 2007 17:32:08 +0100

xpenguins (2.2-5) unstable; urgency=low

  * New maintainer. (Closes: #382558)
    - removed Ola from uploaders (haven't heard from him, so I guess he's not
      interested)
  * debian/control:
    - add Homepage: to package description
    - bump Standards to 3.7.2 (no changes required)
    - build-depends on debhelper >= 5
      (debian/compat set to 5, too)

 -- Alexander Schmehl <tolimar@debian.org>  Sun,  7 Jan 2007 16:02:08 +0100

xpenguins (2.2-4) unstable; urgency=low

  * Removed unpatch target in debian/rules file. (Closes: #356061)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 10 Mar 2006 11:20:57 -0300

xpenguins (2.2-3.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #347062)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 00:13:38 +0100

xpenguins (2.2-3) unstable; urgency=low

  * New mantainer. (Closes: #334246)
  * Updated package to Standards-Version: 3.6.2.1.
  * Added debian/compat file.
  * Changed patch to dpatch in control file, changed all debian/patches to
    complain with dpatch and created debian/00list file.
  * Added cdbs as Build-Depends.
  * Updated debian/watch file.
  * Changed debian/rules to complain with cdbs.
  * Added debian/xpenguins.xpm file and updated debian/menu file.
  * Added a script to stop xpenguins "xpenguins-stop" and updated debian/menu
    file. (Closes: #299400)
  * Updated 01_HOMEsegfault.dpatch to solve problem "environment variable
    HOME not set", thanks to Martin Kiehne <martin.kiehne@gmx.de>. (Closes: #235990)
  * Added debian/links file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 21 Oct 2005 15:37:09 -0200

xpenguins (2.2-2) unstable; urgency=low

  * Fixed segfault when $HOME is not set. (Closes: #171289)
    (Thanks to Sebastian Waschik for the patch)
  * Added option to select a random theme on start. (Closes: #117139)
    (Thanks to Jason Thomas for the patch)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 11 Feb 2004 17:19:59 +0100

xpenguins (2.2-1) unstable; urgency=low

  * New upstream release. (Closes: #110067)
  * Added an rm of config.status in the clean target

 -- Bas Zoetekouw <bas@debian.org>  Sat, 13 Oct 2001 18:38:45 +0200

xpenguins (2.1-2) unstable; urgency=low

  * Removed build dependency on libc6-dev.

 -- Bas Zoetekouw <bas@debian.org>  Mon,  9 Jul 2001 11:32:45 +0200

xpenguins (2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #100556)

 -- Bas Zoetekouw <bas@debian.org>  Thu, 28 Jun 2001 10:04:37 +0200

xpenguins (1.2-4) unstable; urgency=low

  * Added a menu item to stop xpenguins. (Closes: #86815)

 -- Bas Zoetekouw <bas@debian.org>  Sun, 22 Apr 2001 21:39:16 +0200

xpenguins (1.2-3) unstable; urgency=low

  * Added a Build-Depends on debhelper.
  * This package does now comply to Standards-Version 3.2.1.

 -- Bas Zoetekouw <bas@debian.org>  Mon,  8 Jan 2001 19:42:20 +0100

xpenguins (1.2-2) unstable; urgency=low

  * Fixed the short description. (Closes: #80430)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 27 Dec 2000 13:19:40 +0100

xpenguins (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Bas Zoetekouw <bas@debian.org>  Sun,  6 Aug 2000 11:19:56 +0200

=== debian/control ===
Source: xpenguins
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Section: games
Priority: optional
Build-Depends: debhelper (>= 11~),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxt-dev,
               x11proto-core-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/xpenguins.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/xpenguins.git
Homepage: http://xpenguins.seul.org/

Package: xpenguins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: little penguins walk on your windows
 Ever wanted cute little penguins walking along the tops of your
 windows? Ever wanted to send an army of cute little penguins to invade
 the screen of someone else on your network? Probably not, but why not
 try this program out anyway, it's cool!

=== debian/watch ===
version=3
http://xpenguins.seul.org/ xpenguins-([\d+\.]+|\d+)\.tar\.gz

## xpenguins 3.2.1

=== debian/changelog ===
xpenguins (3.2.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Dec 2023 07:37:00 -0800

xpenguins (3.2.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Feb 2023 14:20:37 -0800

xpenguins (3.2.1-1) experimental; urgency=medium

  * New upstream version 3.2.1
  * Update standards to 4.5.1 and compat to 13

 -- Micheal Waltz <ecliptik@gmail.com>  Wed, 24 Mar 2021 14:54:45 -0700

xpenguins (3.1.0-1) experimental; urgency=medium

  * New upstream version 3.1.0.
  * New upstream maintainer.
  * Remove patches that are no longer used with newer source
  * Fix lintian errors and warnings
  * Update copyright to match DEP5 format
  * Update watch to version 4 and to use sourceforge redirect
  * Include libgtk-3-dev required for reproducible build

 -- Micheal Waltz <ecliptik@gmail.com>  Thu, 18 Feb 2021 17:50:06 -0800

=== debian/control ===
Source: xpenguins
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libgtk-3-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxt-dev,
               x11proto-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/xpenguins
Vcs-Git: https://salsa.debian.org/games-team/xpenguins.git
Homepage: https://www.ratrabbit.nl/ratrabbit/software/xpenguins/index.html

Package: xpenguins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: little penguins walk on your windows
 Ever wanted cute little penguins walking along the tops of your
 windows? Ever wanted to send an army of cute little penguins to invade
 the screen of someone else on your network? Probably not, but why not
 try this program out anyway, it's cool!

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xpenguins 3.2.3

=== debian/changelog ===
xpenguins (3.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix FTBFS on 32 bit architectures (Closes: #1085214)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 17 Oct 2024 00:00:57 +0200

xpenguins (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.3
  * Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 15:25:05 +0200

xpenguins (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1066677)
  * debian/: Apply wrap-and-sort -abst.
  * Bump Standards-Version to 4.7.0.
  * debian/README.source: Dropped, useless.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Apr 2024 23:11:24 -0400

=== debian/control ===
Source: xpenguins
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Micheal Waltz <ecliptik@gmail.com>,
Section: games
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libgtk-3-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xpenguins
Vcs-Git: https://salsa.debian.org/games-team/xpenguins.git
Homepage: https://www.ratrabbit.nl/ratrabbit/software/xpenguins/index.html

Package: xpenguins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: little penguins walk on your windows
 Ever wanted cute little penguins walking along the tops of your
 windows? Ever wanted to send an army of cute little penguins to invade
 the screen of someone else on your network? Probably not, but why not
 try this program out anyway, it's cool!

=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/xpenguins/xpenguins-(.+).tar.gz

## xpenguins 3.2.4

=== debian/changelog ===
xpenguins (3.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.4
  * d/watch: version 5.
  * d/control: remove RRR: no (default)
  * d/control: remove Priority: optional (default)
  * d/control: switch to SV 4.7.3.
  * d/patches: all applied upstream.
  * d/copyright: bump year.
  * d/copyright: remove GPL address (lintian).
  * d/salsa-ci.yml: added
  * d/copyright: completed.

  [ Alexandre Detiste ]
  * disable useless Salsa CI jobs
  * rename files under debian/ for DH 14&15 compatibility

 -- Patrice Duroux <patrice.duroux@gmail.com>  Wed, 21 Jan 2026 19:31:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Micheal Waltz <ecliptik@gmail.com>,
 Section: games
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  libgtk-3-dev,
@@ -12,8 +11,7 @@
  libxpm-dev,
  libxt-dev,
  x11proto-core-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/xpenguins
 Vcs-Git: https://salsa.debian.org/games-team/xpenguins.git
 Homepage: https://www.ratrabbit.nl/ratrabbit/software/xpenguins/index.html

=== debian/watch ===
Version: 5
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
Source: http://sf.net/xpenguins
